using System;
using System.Collections.Generic;
using System.Text;
using System.CodeDom;
using System.CodeDom.Compiler;
using Microsoft.CSharp;
using Microsoft.VisualBasic;
using Microsoft.JScript;
using GrapeCity.Competition.Maze;

namespace GrapeCity.Competition.Maze.Debuger
{
    [Name("C# 2.0 (Visual Studio 2005)")]
    [Author("MazeDebuger")]
    public class CSharpScriptCompiler : ScriptCompilerBase, IScriptCompiler
    {
        protected override System.CodeDom.Compiler.CodeDomProvider CodeDomProvider
        {
            get
            {
                return new CSharpCodeProvider();
            }
        }
    }

    [Name("VB.NET (Visual Studio 2005)")]
    [Author("MazeDebuger")]
    public class VBScriptCompiler : ScriptCompilerBase, IScriptCompiler
    {
        protected override System.CodeDom.Compiler.CodeDomProvider CodeDomProvider
        {
            get
            {
                return new VBCodeProvider();
            }
        }
    }

    //[Name("JavaScript")]
    //[Author("MazeDebuger")]
    //public class JScriptCompiler : ScriptCompilerBase, IScriptCompiler
    //{
    //    protected override System.CodeDom.Compiler.CodeDomProvider CodeDomProvider
    //    {
    //        get
    //        {
    //            return new JScriptCodeProvider();
    //        }
    //    }
    //}
}
