﻿using System;
using System.Collections.Generic;
using System.Text;
using GrapeCity.Competition.Maze;

namespace GrapeCity.Competition.Maze.Debuger
{
    public class NamedType
    {
        private readonly Type namedType;
        private readonly string name;

        public NamedType(Type type)
        {
            namedType = type;
            this.name = NameAttribute.GetName(type);
        }

        public Type Type
        {
            get { return namedType; }
        }

        public override string ToString()
        {
            return name;
        }
    }
}
