﻿using System;
using GrapeCity.Competition.Maze;

namespace GrapeCity.Competition.Maze.Debuger
{
    [Name("Random Walker")]
    [Author("GrapeCity")]
    public class RandomAI : IMazeAI
    {
        private bool terminated = false;

        public void Think(IMaze maze, IExplorer explorer)
        {
            try
            {
                Random rnd = new Random();
                while (!terminated)
                {
                    explorer.Move((Direction)rnd.Next(5));
                    if (explorer.Current == PositionInfo.Exit)
                    {
                        explorer.Say("Too easy, I get out!!", null);
                        return;
                    }
                }
            }
            finally
            {
            }
        }

        public void Hear(string name, string message, object information)
        {
        }

        public void Initialize()
        {
        }

        public void Terminate()
        {
            terminated = true;
        }
    }
}
