﻿using System;
using System.Collections.Generic;
using System.Text;
using GrapeCity.Competition.Maze.Engine.Explorers;

namespace GrapeCity.Competition.Maze.Engine
{
    #region The IMazeEngine interface
    public interface IMazeEngine
    {
        MazeExplorer CreateExplorer(Type thinkerType);
        MazeExplorer CreateExplorer(string name, Type thinkerType);
        void RemoveExplorer(string name);

        void Say(MazeExplorer mazeExplorer, string message, object information);
        bool Wisper(MazeExplorer mazeExplorer, string name, string message, object information);
        PositionInfo Look(MazeExplorer mazeExplorer, Direction direction);
        bool Move(MazeExplorer mazeExplorer, Direction direction);
    } 
    #endregion
}
