#region Copyright

/*
 * Project:		AgentFramework for .NET Framework
 * File:		SafeNativeMethods.cs
 * Author:		ToxZhang
 * Create:		2007/10/17 09:15:29 AM
 *
 * FileId:		14a99583-01b3-47df-98c6-434011310924
 * Type:		CLASS 
 * ------------------------------------------------------------------------
 * Copyright(c) 2007-2008 GrapeCity inc.
 */

#endregion

using System.Runtime.InteropServices;
using System.Security;
using System.Security.Permissions;

namespace GrapeCity.Competition.Maze.Engine
{
    /// <summary>
    ///  Summary of SafeNativeMethods.
    /// </summary>
    [SuppressUnmanagedCodeSecurity, HostProtection(SecurityAction.LinkDemand, MayLeakOnAbort = true)]
    public static class SafeNativeMethods
    {
        [DllImport("kernel32.dll")]
        public static extern bool QueryPerformanceCounter(out long value);

        [DllImport("kernel32.dll")]
        public static extern bool QueryPerformanceFrequency(out long value);
    }
}