﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using GrapeCity.Competition.Maze.Engine;
using GrapeCity.Competition.Maze.Engine.Maps;

namespace GrapeCity.Competition.Maze.Generators
{
    [Name("Manual Maze Editor")]
    public class ManualMazeEditor : IMazeMapGenerator
    {
        private IMazeSkin skin;

        public void SetupRenderSupport(Control screen)
        {
        }

        public void SetupSkinSupport(IMazeSkin skin)
        {
            this.skin = skin;
        }

        public bool Generate(int seed, IMazeMapEditor map)
        {
            MazeEditorDialog dialog = new MazeEditorDialog(seed, map, skin);
            dialog.ShowDialog();
            return true;
        }
    }
}
