﻿using System;
using System.Collections.Generic;
using System.Text;

namespace GrapeCity.Competition.Maze
{
    internal class MazeGenerator
    {
        private readonly Type type;
        private readonly string name;

        internal MazeGenerator(Type type)
        {
            this.type = type;
            this.name = NameAttribute.GetName(type);
        }

        internal Type Type
        {
            get { return type; }
        }

        public override string ToString()
        {
            return this.name;
        }
    }
}
