﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Drawing;
using System.Windows.Forms;

namespace GrapeCity.Competition.Maze
{
    public class MazeSettings : ApplicationSettingsBase
    {
        //Skin
        [UserScopedSetting]
        public List<int> SkinColors
        {
            get { return (List<int>)this["SkinColors"]; }
            set { this["SkinColors"] = value; }
        }

        //Recent maps
        [UserScopedSetting]
        public List<string> RecentMaps
        {
            get { return (List<string>)this["RecentMaps"]; }
            set { this["RecentMaps"] = value; }
        }

        //Assembly
        [UserScopedSetting]
        public List<string> Assemblies
        {
            get { return (List<string>)this["Assemblies"]; }
            set { this["Assemblies"] = value; }
        }
    }
}
