﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;
using GrapeCity.Competition.Maze.Engine;
using GrapeCity.Competition.Maze.Engine.Explorers;

namespace GrapeCity.Competition.Maze.Engine
{
    public interface IMazeSkin
    {
        int BlockSize { get; set; }
        void PaintElement(Graphics g, int x, int y, MazeElement element);
        void PaintElement(Graphics g, int x, int y, int size, MazeElement element);
        void PaintExplorer(Graphics g, MazeExplorer e);
        void PaintFootPrint(Graphics g, int x, int y);
    }
}