﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using GrapeCity.Competition.Maze.Engine;
using GrapeCity.Competition.Maze.Engine.Maps;

namespace GrapeCity.Competition.Maze.Generators
{
    public interface IMazeMapGenerator
    {
        void SetupRenderSupport(Control screen);
        void SetupSkinSupport(IMazeSkin skin);

        bool Generate(int seed, IMazeMapEditor map);
    }
}