﻿using System;

namespace GrapeCity.Competition.Maze
{
    #region The IPosition interface
    /// <summary>
    ///   Represents the position information.
    /// </summary>
    public interface IPosition
    {
        /// <summary>
        ///   Gets the x value in coordinate system.
        /// </summary>
        /// <value>
        ///   An <b>int</b> value indicates the x value in coordinate system.
        /// </value>
        int X { get; }

        /// <summary>
        ///   Gets the y value in coordinate system.
        /// </summary>
        /// <value>
        ///   An <b>int</b> value indicates the y value in coordinate system.
        /// </value>
        int Y { get; }
    }
    #endregion
}
