﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace GrapeCity.Competition.Maze.Controls
{
    internal partial class ColorPicker : UserControl
    {
        internal ColorPicker()
        {
            InitializeComponent();
        }

        public Color SelectedColor
        {
            get { return BackColor; }
            set { BackColor = value; }
        }

        private void ColorPicker_Load(object sender, EventArgs e)
        {
        }

        private void ColorPicker_MouseClick(object sender, MouseEventArgs e)
        {
            colorDialog.FullOpen = true;
            colorDialog.Color = this.BackColor;
            if(colorDialog.ShowDialog(this) == DialogResult.OK)
            {
                this.BackColor = colorDialog.Color;
            }
        }
    }
}